Highlighted
Contributor
Contributor

Hello, I would like to upgrade our Horizon View environment to 6.2.2. However I would like to leave the agent at the current version 5.2.0.987719 for a week so that I can do a phased migration?

Is it safe? supported?

0 Kudos
2 Replies
Highlighted
Commander
Commander

The official stance is "Only during upgrade": Documentation for VMware Horizon 6 version 6.2

You should probably be okay, but I would recommend upgrading as soon as possible.

Blog: http://blog.eeg3.net
0 Kudos
Highlighted
Enthusiast
Enthusiast

I've run both View 6.0.1 and 6.2.0 with agent version 5.3.3. I have not attempted this with View 6.2.2.

Specific to View 6.2.2, I'd recommend paying attention to the changes in the security cypher configurations. For example, from the 6.2.2 release notes (Release Notes for VMware Horizon 6 version 6.2.2😞

"If you use Horizon 6.2.2 servers with an older version of View Agent, such as View Agent 6.1.x, and if the PCoIP Secure Gateway is enabled (in View Administrator), you will need to enable TLS 1.0 for PCoIP connections on the servers. View Agent versions that are older than 6.2 support the security protocol TLS 1.0 only. Horizon 6.2.2 servers, including connection servers and security servers, have TLS 1.0 disabled by default for PCoIP connections. You can enable TLS 1.0 for PCoIP connections on these servers by following the instructions in KB 2130798, Configure security protocols for PCoIP for Horizon 6 version 6.2 and later, and Horizon Client 3.5 a...."

If you're also updating related services, check those as well, for example vRealize for Horizon has a similar configuration change and note.

I'd also recommend testing this out before applying it to your production environment.

Jeremy Ey

0 Kudos